Bug 9244 - -o2 option (referred to in man page) isn't valid
-o2 option (referred to in man page) isn't valid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-08 15:00 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-05 12:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-02-08 15:00:21 EST
There are two issues:

1) in the first command, clockdiff reports a host is down when it isn't (ie
it's pingable) ... should the text say the host is down or just that clock
diff cannot get the time from it... ?

2) the man page refers to the -o2 option, but the executable doesn't have
that option ...

CLOCKDIFF(8)             Iputils-ss990107            CLOCKDIFF(8)

NAME
       clockdiff - Measures clock difference between us and <destination>
with 1msec resolution. Without -o option it uses icmp timestamps, with -o
it uses icmp echo with timestamp IP option.

SYNOPSIS
       clockdiff [-o|-o2]
<destination>

[root@test95 /root]# clockdiff prep.ai.mit.edu
gnudist.gnu.org is down
[root@test95 /root]# clockdiff -o2 prep.ai.mit.edu
Usage: clockdiff [-o] <host>
[root@test95 /root]# ping prep.ai.mit.edu
PING prep.ai.mit.edu (198.186.203.18) from 207.175.44.95 : 56(84) bytes of
data.
64 bytes from 198.186.203.18: icmp_seq=0 ttl=51 time=117.1 ms
64 bytes from 198.186.203.18: icmp_seq=1 ttl=51 time=190.1 ms

--- prep.ai.mit.edu ping statistics ---
2 packets transmitted, 2 packets received, 0% packet loss
round-trip min/avg/max = 117.1/153.6/190.1 ms
[root@test95
/root]#
Comment 1 Jeff Johnson 2000-03-05 12:36:59 EST
Fixed in iputils-20000121-1.

Note You need to log in before you can comment on or make changes to this bug.